ELINKS(1)

NAME
elinks - lynx-like alternative character mode WWW browser

SYNOPSIS
elinks [ options ] url

DESCRIPTION

ELinks is a text mode WWW browser, supporting colors, table rendering, background downloading, menu driven configuration interface, tabbed browsing and slim code.

Frames are supported. You can have different file formats associated with external viewers. mailto: and telnet: are supported via external clients.

ELinks can handle both local files and remote URLs. The main supported remote URL protocols are HTTP, HTTPS (with SSL support compiled in) and FTP. Additional protocol support exists for finger, Gopher, SMB and NNTP.

OPTIONS

Most options can be set in the user interface or config file, so usually you do not need to care about them. Note that this list is by no means complete and it is not kept up-to-date. To get complete list of commandline options, start ELinks with parameter --help.

-anonymous [0|1] (default: 0)
    Restrict ELinks so that it can run on an anonymous account. No local file browsing, no downloads and no saving of runtime state files. Execution of viewers is allowed, but user can't add or modify entries in association table.

-auto-submit [0|1] (default: 0)
    Go and submit the first form you'll stumble upon.

-base-session <num> (default: 0)
    ID of session (ELinks instance) which we want to clone. This is internal ELinks option, you don't want to use it.

-config-dir <str> (default: "")
    Set the config dir to the given path. ELinks will read its config files and writes to it. If the path begins with a '/' its used as an absolute path. Else it is assumed to be relative to your HOME dir.

-config-file <str> (default: "elinks.conf")
    Name of the file with configuration, from which and to which all the configuration shall be written. It should be relative to config-dirP -config-help Print help on configuration options and exit.

-default-mime-type (alias for mime.default_type)
    Default MIME type to assume for documents of unknown type.

-default-keys [0|1] (default: 0)
    If set, parse but don't set keybindings from configuration file. It forces use of default keybindings and will reset user-defined ones on save.

-dump [0|1] (default: 0)
    Write a plain-text version of the document at the given URL to stdout.

-dump-charset (alias for document.dump.codepage)
    Codepage used in dump output.

-dump-width (alias for document.dump.width)
    Width of the dump output.

-eval
    Specify elinks.conf configuration options on the command-line: -eval 'set protocol.file.allow_special_files = 1'.

-force-html
    This makes ELinks assume that the files it sees are HTML. This is equivalent to -default-mime-type text/html.

-?, -h, -help
    Print usage help and exit.

-localhost [0|1] (default: 0)
    Restrict ELinks so that it can only open connections to local addresses (ie. 127.0.0.1), it will prevent any connection to distant servers.

-long-help
    Print detailed usage help and exit.

-lookup
    Look up specified host.

-no-connect [0|1] (default: 0)
    Run ELinks as a separate instance instead of connecting to an existing instance. Note that normally no runtime state files (bookmarks, history and so on) are written to the disk when this option is used. See also -touch-files.

-no-home [0|1] (default: 0)
    Disables creation and use of files in the user specific home configuration directory (~/.elinks). It forces default configuration values to be used and disables saving of state files (e.g. cookies).

-no-numbering [0|1] (default: 0)
    Prevents numbering of links in the -dump. output; this was the default behaviour until 0.5pre12. Note that this really affects only -dump, nothing else.

-no-references [0|1] (default: 0)
    Prevents dumping of links references (URIs) in the -dump output. Note that this really affects only -dump, nothing else.

-remote
    Mozilla compliant support for controlling a remote ELinks instance. The command takes an additional argument containing the method which should be invoked and any parameters that should be passed to it. For ease of use the additional method argument can be omitted in which case any URL arguments will be opened in new tabs in the remote instance. Following is a list of the methods that are supported:
    ping()
        check for remote instance
    openURL()
        prompt URL in current tab
    openURL(URL)
        open URL in current tab
    openURL(URL, new-tab)
        open URL in new tab
    openURL(URL, new-window)
        open URL in new window
    addBookmark(URL)
        bookmark URL
    xfeDoCommand(openBrowser)
        open new window

-session-ring <num> (default: 0)
    ID of session ring this ELinks session should connect to. ELinks works in so-called session rings, whereby all instances of ELinks are interconnected and share state (cache, bookmarks, cookies, and so on). By default, all ELinks instances connect to session ring 0. You can change that behaviour with this switch and form as many session rings as you want. Obviously, if the session-ring with this number doesn't exist yet, it's created and this ELinks instance will become the master instance (that usually doesn't matter for you as a user much). Note that you usually don't want to use this unless you're a developer and you want to do some testing - if you want the ELinks instances each running standalone, rather use the -no-connect command-line option. Also note that normally no runtime state files are written to the disk when this option is used. See also -touch-files.

-source [0|1] (default: 0)
    Write the given HTML document in source form to stdout.

-touch-files [0|1] (default: 0)
    Set to 1 to have runtime state files (bookmarks, history, ...) changed even when -no-connect or -session-ring is used; has no effect if not used in connection with any of these options.

-verbose <num> (default: 0)
    The verbose level controls what messages are shown at start up and while running:
    0   means only show serious errors
    1   means show serious errors and warnings
    2   means show all messages

-version
    Print ELinks version information and exit.

ENVIRONMENT VARIABLES

ELinks uses the following environment variables.

COMSPEC, SHELL
    The shell used for File -> OS Shell on DOS/Windows and UNIX, respectively.

EDITOR
    The program to use for external editor (when editing textareas).

ELINKS_CONFDIR
    The location of the directory containing configuration files. If not set the default is ~/.elinks/.

ELINKS_TWTERM , LINKS_TWTERM
    The command to run when selecting File -> New window and if TWDISPLAY is defined (default twterm -e)

ELINKS_XTERM , LINKS_XTERM
    The command to run when selecting File -> New window and if DISPLAY is defined (default xterm -e)

FTP_PROXY, HTTP_PROXY, HTTPS_PROXY
    The host to proxy the various protocol traffic through.

HOME
    The path to the users home directory. Used when expanding ~/.

WWW_HOME
    Homepage location (as in lynx(1))

FILES

@sysconfdir@/elinks.conf
    Site-wide configuration file.

~/.elinks/elinks.conf
    Per-user config file, loaded after site-wide configuration.

~/.elinks/bookmarks
    Bookmarks file

~/.elinks/cookies
    Cookies file

~/.elinks/formhist
    Form history file

~/.elinks/gotohist
    GoTo URL dialog history file

~/.elinks/globhist
    History file containing last 4096 URLs visited

~/.elinks/searchhist
    Search history file

~/.elinks/socket
    Internal ELinks socket for communication between its instances.

PLATFORMS

ELinks is known to work on Linux, FreeBSD, OpenBSD, Solaris, IRIX, HPUX, Digital Unix, AIX, OS/2, BeOS and RISC OS.

BUGS

Please report any other bugs you find to the ELinks mailing list elinks-users@linuxfromscratch.org <URL:http://elinks.or.cz/community.html> or the bug system <URL:http://bugzilla.elinks.or.cz/>.

LICENSE

ELinks is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

AUTHORS

Links was written by Mikulas Patocka <mikulas@artax.karlin.mff.cuni.cz>. ELinks - which is based on Links - was written by a team around Petr Baudis <pasky@ucw.cz>. See file AUTHORS in the source tree for a list of people contributing to this project.

The homepage of ELinks can be found at <URL:http://elinks.or.cz>

This manual page was written by Peter Gervai <grin@tolna.net>, using excerpts from a (yet?) unknown Links fan for the Debian GNU/Linux system (but may be used by others). Contributions from Francis A. Holop. Extended, clarified and made more up-to-date by Petr Baudis <pasky@ucw.cz>. Updated by Zas <zas@norz.org>. The conversion to DocBook for ELinks 0.5 and trimming was done by Jonas Fonseca <fonseca@diku.dk>.

SEE ALSO

elinkskeys(5), elinks.conf(5), links(1), lynx(1), w3m(1), wget(1)